export  interface Discord {
  guilds?: Guild[];
  users?: DiscordUser[];
}

export interface Guild {
  id?: string;
  name?: string;

  channels: Channel[];
  roles: Role[];
  emojis: Emoji[];
}

export interface Channel {
  id?: string;
  name?: string;
  type?: ChannelType;
}

export enum ChannelType {
  category = "CategoryChannel",
  text = "TextChannel",
  voice = "VoiceChannel"
}

export interface Role {
  id?: string;
  name?: string;
}

export interface Emoji {
  id?: string;
  name?: string;
  url?: string;
}

export interface DiscordUser {
  id?: string;
  name?: string;
  bot?: boolean;
}
